package com.bawei.es.service;

import com.bawei.common.core.domain.R;

import java.util.List;
import java.util.Map;

/**
 * @Author: 31966
 * @Project: mall-product
 * @Package: com.bwie.es.service
 * @ClassName: DocumentService
 * @Description: 请在此处填写具体描述
 * @Date: 2024/4/22 20:58
 */
public interface DocumentService {
    R queryList(String indexName, Map<String, Object> conditions);

    void batchOperation(String indexName, Map<String,Object> dataJson);

    void batchDeletion(String indexName, List<String> dataJson);
}
